Reopen a previously closed monitor alert
curl --request POST \
--url https://api.dev.swarmd.ai/audit/v1/monitors/alerts/{alertId}/reopen \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"note": "<string>"
}
'import requests
url = "https://api.dev.swarmd.ai/audit/v1/monitors/alerts/{alertId}/reopen"
payload = { "note": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({note: '<string>'})
};
fetch('https://api.dev.swarmd.ai/audit/v1/monitors/alerts/{alertId}/reopen', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"findingId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"detector": "POLICY_INVOCATION_ANOMALY",
"severity": "LOW",
"direction": "SPIKE",
"status": "OPEN",
"subject": {
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"detectedAt": "2023-11-07T05:31:56Z",
"summary": "<string>",
"evidence": {
"kind": "<string>",
"monitorType": "SYSTEM_TEMPLATE",
"metric": "REQUESTS",
"aggregation": "SUM",
"window": "LAST_5M",
"groupBy": "NONE",
"observedValue": 123,
"comparisonValue": 123,
"threshold": 123,
"subjectLabel": "<string>"
},
"history": [
{
"at": "2023-11-07T05:31:56Z",
"action": "ACKNOWLEDGED",
"actorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actorLabel": "<string>",
"note": "<string>"
}
],
"acknowledgedByLabel": "<string>",
"resolvedByLabel": "<string>",
"suppressedUntil": "2023-11-07T05:31:56Z",
"acknowledgedAt": "2023-11-07T05:31:56Z",
"resolvedAt": "2023-11-07T05:31:56Z",
"dismissedReason": "EXPECTED"
}Audit Monitors
Reopen a previously closed monitor alert
Security Requirements
| Auth Types | Entities | Permissions | Required Roles |
|---|---|---|---|
| USER | AUDIT | WRITE | AUDIT:WRITE |
POST
/
audit
/
v1
/
monitors
/
alerts
/
{alertId}
/
reopen
Reopen a previously closed monitor alert
Authorizations
JWT token (USER, AGENT, or SERVICE auth)
Path Parameters
Body
application/json
Response
200 - */*
OK
Available options:
POLICY_INVOCATION_ANOMALY, POLICY_BLOCK_ANOMALY, POLICY_WARN_ANOMALY, POLICY_HITL_HOLD_ANOMALY, AGENT_VOLUME_ANOMALY, USER_VOLUME_ANOMALY, MCP_SERVER_VOLUME_ANOMALY, LLM_GATEWAY_VOLUME_ANOMALY, CHANNEL_VOLUME_ANOMALY, TENANT_ERROR_SPIKE, TENANT_WARN_SPIKE, TENANT_HITL_SPIKE, LLM_PROVIDER_ERROR_RATE_SPIKE, LLM_GATEWAY_FAILOVER_SPIKE, MCP_SERVER_ERROR_RATE_SPIKE, DORMANT_AGENT_REACTIVATION, DORMANT_USER_REACTIVATION, NOVEL_TOOL_CALL, NEW_MCP_SERVER_BINDING Available options:
LOW, MEDIUM, HIGH, CRITICAL Available options:
SPIKE, DROP Available options:
OPEN, ACKNOWLEDGED, RESOLVED, DISMISSED - Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
Show child attributes
Show child attributes
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
EXPECTED, FALSE_POSITIVE, KNOWN_ISSUE 